;;;	   dot.emacs :: emacs-tuitate sample configuration
;;;
;;;	      Copyright (C) 1997      OKUJI Yoshinori
;;;
;;;		   This emacs lisp library conforms
;;;		GNU GENERAL PUBLIC LICENSE Version 2.
;;;
;;; Author:  OKUJI Yoshinori <okuji@kmc.kyoto-u.ac.jp>
;;; Created: May   15, 1997
;;; Revised: May   25, 1997
;;;

;;
;; Need to include these.
;;

;; If you install to private directory, set this.
;;;(setq load-path (append load-path (cons "path" nil)))
(autoload 'tuitate "tuitate" "Tuitate game!" t)
(autoload 'tuitate-view "tuitate" "Tuitate view!" t)
(autoload 'tuitate-notation "tuitate" "Tuitate notation!" t)

;;
;; Optional variables
;;

;; Called when initialize emacs-tuitate.
(add-hook 'tuitate-init-hook
	  (function (lambda ()
		      ;; my name
		      (setq tuitate-player-name "Dio")
		      ;; my mail address
		      (setq tuitate-player-mail "dio@the.world")
		      ;; the host that runs `tuitated'.
		      (setq tuitate-server "giogio")
		      ;; tuitated's port.
		      (setq tuitate-port 9999)
		      ;; black string.
		      (setq tuitate-black-string "")
		      ;; white string.
		      (setq tuitate-white-string "")
		      ;; you string.
		      (setq tuitate-you-string "")
		      ;; opponent string.
		      (setq tuitate-opponent-string "")
		      ;; name string.
		      (setq tuitate-name-string "ι")
		      ;; life string
		      (setq tuitate-life-string ";̿")
		      ;; If non-nil, you follow that the
		      ;; viewing game proceeds.
		      (setq tuitate-follow-flag nil)		
		      ;; If nil, you use color.
		      (setq tuitate-inhibit-color t)
		      ;; If nil, you permit beeping.
		      (setq tuitate-inhibit-beep nil)
		      ;; If nil, you use terminal faces.
		      (setq tuitate-inhibit-terminal-face nil)
		      )))

;; Called in select mode.
(add-hook 'tuitate-select-mode-hook
	  (function (lambda ()
		      (local-set-key "\C-l" 'recenter)
		      )))

;; Called in game mode.
(add-hook 'tuitate-game-mode-hook
	  (function (lambda ()
		      (local-set-key "i" 'tuitate-game-backward-candidate)
		      (set-face-background 'tuitate-board-face "brown1")
		      )))

;; Called in view mode.
(add-hook 'tuitate-view-mode-hook
	  (function (lambda ()
		      (local-set-key "\C-h" 'tuitate-view-backward-turn)
		      (set-face-foreground 'tuitate-candidate-face "black")
		      )))

;; Called in notation mode.
(add-hook 'tuitate-notation-mode-hook
	  (function (lambda ()
		      (local-set-key "\C-v" 'my-tuitate-forward-10turn)
		      (local-set-key "\M-v" 'my-tuitate-backward-10turn)
		      )))

;; My own function.
(defun my-tuitate-forward-10turn ()
  (interactive)
  (tuitate-notation-goto-turn (+ (string-to-number
				  tuitate-notation-turn-string)
				 10)))

(defun my-tuitate-backward-10turn ()
  (interactive)
  (tuitate-notation-goto-turn (- (string-to-number
				  tuitate-notation-turn-string)
				 10)))

;;;
;;; End of dot.emacs
;;;
